/* The following code was generated by JFlex 1.4.1 on 9/8/08 4:23 PM */

/*  
 * Copyright 2004-2008 MTBJ, Inc.  
 *   
 * Licensed under the Apache License, Version 2.0 (the "License");  
 * you may not use this file except in compliance with the License.  
 * You may obtain a copy of the License at  
 *   
 *      http://www.apache.org/licenses/LICENSE-2.0  
 *   
 * Unless required by applicable law or agreed to in writing, software  
 * distributed under the License is distributed on an "AS IS" BASIS,  
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  
 * See the License for the specific language governing permissions and  
 * limitations under the License.  
 */
package com.dtrules.compiler.cup;
import java.util.*;
import java.io.*;
import java_cup.runtime.*;
import com.dtrules.infrastructure.RulesException;
@SuppressWarnings({"unchecked","unused"})

/**
 * This class is a scanner generated by 
 * <a href="http://www.jflex.de/">JFlex</a> 1.4.1
 * on 9/8/08 4:23 PM from the specification file
 * <tt>C:/eb/eb_dev2/RulesEngine/DTScanner/src/main/java/com/dtrules/compiler/cup/scanner.flex</tt>
 */
public class DTRulesscanner implements java_cup.runtime.Scanner {

  /** This character denotes the end of file */
  public static final int YYEOF = -1;

  /** initial size of the lookahead buffer */
  private static final int ZZ_BUFFERSIZE = 16384;

  /** lexical states */
  public static final int YYINITIAL = 0;

  /** 
   * Translates characters to character classes
   */
  private static final char [] ZZ_CMAP = {
     0,  0,  0,  0,  0,  0,  0,  0,  0,  3,  2,  0,  3,  1,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     3, 47,  7,  0, 54,  0, 49,  8, 37, 38, 36, 33, 31, 27,  6, 34, 
     5,  5,  5,  5,  5,  5,  5,  5,  5,  5, 30, 29, 50, 46, 28, 32, 
     0,  9, 26, 10, 15, 18, 19, 44, 25, 12,  4, 53, 20, 23, 14, 13, 
    22, 48, 16, 21, 11, 17, 35, 24, 45, 43, 52, 39,  0, 40,  0,  4, 
     0,  9, 26, 10, 15, 18, 19, 44, 25, 12,  4, 53, 20, 23, 14, 13, 
    22, 48, 16, 21, 11, 17, 35, 24, 45, 43, 52, 41, 51, 42,  0,  0
  };

  /** 
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\1\0\2\1\1\2\1\3\3\0\1\1\21\2\1\4"+
    "\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\2"+
    "\1\14\1\15\1\16\1\17\1\20\1\21\1\22\2\2"+
    "\1\23\2\0\1\24\4\0\1\25\1\26\2\2\1\1"+
    "\12\2\1\27\3\2\1\30\1\31\1\32\1\33\1\34"+
    "\1\35\1\2\1\36\43\2\1\37\1\40\1\41\1\1"+
    "\1\0\4\2\1\42\1\43\2\0\1\44\1\45\1\34"+
    "\1\46\1\2\1\47\2\2\1\44\1\50\2\2\1\51"+
    "\7\2\1\0\5\2\1\1\1\52\1\2\1\53\1\54"+
    "\1\2\1\55\2\2\1\56\1\57\1\13\13\2\1\60"+
    "\5\2\1\61\10\2\1\62\3\2\1\63\2\2\1\64"+
    "\11\2\2\0\3\2\1\65\1\0\11\2\1\66\2\2"+
    "\1\67\1\0\1\2\1\70\1\71\1\72\1\2\1\0"+
    "\1\73\2\2\1\46\1\74\1\2\1\57\1\2\1\75"+
    "\6\2\1\76\4\2\1\77\2\2\1\0\2\2\1\100"+
    "\2\2\1\101\1\2\1\102\7\2\1\103\2\2\1\0"+
    "\1\104\3\2\1\1\1\2\1\105\1\2\1\46\2\2"+
    "\1\106\1\107\5\2\1\110\1\111\1\0\2\2\1\0"+
    "\1\112\4\2\1\113\3\2\1\114\2\2\1\115\1\2"+
    "\1\0\1\116\1\117\2\0\2\2\1\120\4\2\1\121"+
    "\1\2\1\122\1\123\1\2\1\124\1\125\3\2\1\126"+
    "\1\105\1\2\1\127\6\2\2\0\2\2\1\0\2\2"+
    "\1\130\3\2\1\131\1\2\1\132\4\0\1\133\1\2"+
    "\1\134\1\26\4\2\1\123\1\135\1\125\2\2\1\136"+
    "\5\2\1\137\1\2\2\0\1\2\1\140\1\0\1\141"+
    "\1\0\4\2\1\0\1\142\1\133\1\0\2\2\1\143"+
    "\1\144\1\145\1\146\1\147\1\2\1\150\3\2\2\0"+
    "\1\151\1\152\1\153\1\0\3\2\1\154\2\0\1\155"+
    "\1\2\1\0\1\156\1\2\1\0\1\157\2\0\1\160"+
    "\1\2\1\161\1\2\2\0\1\162\1\0\1\163\3\0"+
    "\2\2\1\164\6\0\1\165\1\2\1\164\7\0\1\2"+
    "\5\0\1\166\5\0\1\167\5\0\1\163\6\0\1\165"+
    "\3\0\1\170\10\0\1\70\1\171\2\0\1\172";

  private static int [] zzUnpackAction() {
    int [] result = new int[509];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** 
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\67\0\156\0\245\0\334\0\u0113\0\u014a\0\u0181"+
    "\0\u01b8\0\u01ef\0\u0226\0\u025d\0\u0294\0\u02cb\0\u0302\0\u0339"+
    "\0\u0370\0\u03a7\0\u03de\0\u0415\0\u044c\0\u0483\0\u04ba\0\u04f1"+
    "\0\u0528\0\u055f\0\u0596\0\u05cd\0\156\0\156\0\156\0\156"+
    "\0\156\0\u0604\0\u063b\0\156\0\156\0\156\0\156\0\156"+
    "\0\156\0\156\0\u0672\0\u06a9\0\u06e0\0\u0717\0\u074e\0\u0785"+
    "\0\u07bc\0\u07f3\0\u082a\0\u0861\0\u0113\0\156\0\u0898\0\u08cf"+
    "\0\u0906\0\u093d\0\u0974\0\u09ab\0\u09e2\0\u0a19\0\u0a50\0\u0a87"+
    "\0\u0abe\0\u0af5\0\u0b2c\0\u0b63\0\u0b9a\0\u0bd1\0\u0c08\0\u0c3f"+
    "\0\245\0\245\0\u0c76\0\245\0\245\0\u0cad\0\u0ce4\0\u0d1b"+
    "\0\u0d52\0\u0d89\0\u0dc0\0\u0df7\0\u0e2e\0\u0e65\0\u0e9c\0\u0ed3"+
    "\0\u0f0a\0\u0f41\0\u0f78\0\u0faf\0\u0fe6\0\u101d\0\u1054\0\u108b"+
    "\0\u10c2\0\u10f9\0\u1130\0\u1167\0\u119e\0\u11d5\0\u120c\0\u1243"+
    "\0\u127a\0\u12b1\0\u12e8\0\u131f\0\u1356\0\u138d\0\u13c4\0\u13fb"+
    "\0\u1432\0\u1469\0\245\0\156\0\156\0\u14a0\0\u14d7\0\u150e"+
    "\0\u1545\0\u157c\0\u15b3\0\156\0\156\0\u15ea\0\u1621\0\156"+
    "\0\156\0\156\0\u1658\0\u168f\0\156\0\u16c6\0\u16fd\0\245"+
    "\0\245\0\u1734\0\u176b\0\u17a2\0\u17d9\0\u1810\0\u1847\0\u187e"+
    "\0\u18b5\0\u18ec\0\u1923\0\u195a\0\u1991\0\u19c8\0\u19ff\0\u1a36"+
    "\0\u1a6d\0\u1aa4\0\245\0\u1adb\0\245\0\245\0\u1b12\0\245"+
    "\0\u1b49\0\u1b80\0\245\0\u1bb7\0\245\0\u1bee\0\u1c25\0\u1c5c"+
    "\0\u1c93\0\u1cca\0\u1d01\0\u1d38\0\u1d6f\0\u1da6\0\u1ddd\0\u1e14"+
    "\0\u1e4b\0\u1e82\0\u1eb9\0\u1ef0\0\u1f27\0\u1f5e\0\u1f95\0\u1fcc"+
    "\0\u2003\0\u203a\0\u2071\0\u20a8\0\u20df\0\u2116\0\u214d\0\245"+
    "\0\u2184\0\u21bb\0\u21f2\0\245\0\u2229\0\u2260\0\245\0\u2297"+
    "\0\u22ce\0\u2305\0\u233c\0\u2373\0\u23aa\0\u23e1\0\u2418\0\u244f"+
    "\0\u2486\0\u24bd\0\u24f4\0\u252b\0\u2562\0\245\0\u2599\0\u25d0"+
    "\0\u2607\0\u263e\0\u2675\0\u26ac\0\u26e3\0\u271a\0\u2751\0\u2788"+
    "\0\245\0\u27bf\0\u27f6\0\245\0\u282d\0\u2864\0\245\0\245"+
    "\0\245\0\u289b\0\u28d2\0\245\0\u2909\0\u2940\0\245\0\245"+
    "\0\u2977\0\245\0\u29ae\0\245\0\u29e5\0\u2a1c\0\u2a53\0\u2a8a"+
    "\0\u2ac1\0\u2af8\0\245\0\u2b2f\0\u2b66\0\u2b9d\0\u2bd4\0\u2c0b"+
    "\0\u2c42\0\u2c79\0\u2cb0\0\u2ce7\0\u2d1e\0\245\0\u2d55\0\u2d8c"+
    "\0\245\0\u2dc3\0\245\0\u2dfa\0\u2e31\0\u2e68\0\u2e9f\0\u2ed6"+
    "\0\u2f0d\0\u2f44\0\245\0\u2f7b\0\u2fb2\0\u2fe9\0\245\0\u3020"+
    "\0\u3057\0\u308e\0\u2486\0\u30c5\0\u30fc\0\u3133\0\u316a\0\u31a1"+
    "\0\u31d8\0\245\0\245\0\u320f\0\u3246\0\u327d\0\u32b4\0\u32eb"+
    "\0\245\0\u3322\0\u3359\0\u3390\0\u33c7\0\u33fe\0\245\0\u3435"+
    "\0\u346c\0\u34a3\0\u34da\0\245\0\u3511\0\u3548\0\u357f\0\245"+
    "\0\u35b6\0\u35ed\0\245\0\u3624\0\u365b\0\245\0\245\0\u3692"+
    "\0\u36c9\0\u3700\0\u3737\0\245\0\u376e\0\u37a5\0\u37dc\0\u3813"+
    "\0\245\0\u384a\0\u3881\0\u38b8\0\u38ef\0\245\0\u3926\0\u395d"+
    "\0\u3994\0\u39cb\0\245\0\245\0\u3a02\0\245\0\u3a39\0\u3a70"+
    "\0\u3aa7\0\u3ade\0\u3b15\0\u3b4c\0\u3b83\0\u3bba\0\u3bf1\0\u3c28"+
    "\0\u3c5f\0\u3c96\0\u3ccd\0\245\0\u3d04\0\u3d3b\0\u3d72\0\245"+
    "\0\u3da9\0\245\0\u3de0\0\u3e17\0\u3e4e\0\u3e85\0\245\0\u3ebc"+
    "\0\245\0\245\0\u3ef3\0\u3f2a\0\u3f61\0\u3f98\0\245\0\245"+
    "\0\156\0\u3fcf\0\u4006\0\245\0\u403d\0\u4074\0\u40ab\0\u40e2"+
    "\0\u4119\0\245\0\u4150\0\u4187\0\u41be\0\u41f5\0\245\0\u422c"+
    "\0\u4263\0\u429a\0\u42d1\0\u4308\0\u433f\0\u4376\0\u43ad\0\u43e4"+
    "\0\156\0\u441b\0\u4452\0\u4489\0\u44c0\0\245\0\245\0\245"+
    "\0\245\0\u44f7\0\245\0\u452e\0\u4565\0\u459c\0\u45d3\0\u460a"+
    "\0\245\0\156\0\245\0\u4641\0\u4678\0\u46af\0\u46e6\0\245"+
    "\0\u471d\0\u4754\0\245\0\u478b\0\u47c2\0\245\0\u47f9\0\u4830"+
    "\0\245\0\u4867\0\u489e\0\156\0\u48d5\0\245\0\u490c\0\u4943"+
    "\0\u497a\0\245\0\u49b1\0\u49e8\0\u4a1f\0\u4a56\0\u4a8d\0\u4ac4"+
    "\0\u4afb\0\u4b32\0\u4b69\0\u4ba0\0\u4bd7\0\u4c0e\0\u4c45\0\u4c7c"+
    "\0\u4cb3\0\u4cea\0\156\0\u4d21\0\u4d58\0\u4d8f\0\u4dc6\0\u4dfd"+
    "\0\u4e34\0\u4e6b\0\u4ea2\0\u4ed9\0\u4f10\0\u4f47\0\u4f7e\0\u4fb5"+
    "\0\156\0\u4fec\0\u5023\0\u505a\0\u5091\0\u50c8\0\156\0\u50ff"+
    "\0\u5136\0\u516d\0\u51a4\0\u51db\0\156\0\u5212\0\u5249\0\u5280"+
    "\0\u52b7\0\u52ee\0\u5325\0\156\0\u535c\0\u5393\0\u53ca\0\156"+
    "\0\u5401\0\u5438\0\u546f\0\u54a6\0\u54dd\0\u5514\0\u554b\0\u5582"+
    "\0\156\0\156\0\u55b9\0\u55f0\0\156";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[509];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /** 
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpackTrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\1\0\1\2\2\3\1\4\1\5\1\6\1\7\1\10"+
    "\1\11\1\12\1\13\1\14\1\15\1\16\1\17\1\20"+
    "\1\21\1\22\1\23\1\24\1\25\1\26\1\27\1\30"+
    "\1\31\1\32\1\33\1\34\1\35\1\36\1\37\1\40"+
    "\1\41\1\42\1\43\1\44\1\45\1\46\1\47\1\50"+
    "\1\51\1\52\1\53\1\54\1\4\1\55\1\56\1\4"+
    "\1\57\1\60\1\61\2\4\1\62\2\0\1\3\157\0"+
    "\2\4\1\63\1\0\1\64\22\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\6\0\1\5\1\65"+
    "\65\0\1\65\61\0\7\7\1\66\57\7\10\10\1\66"+
    "\56\10\4\0\2\4\1\63\1\0\1\64\1\4\1\67"+
    "\1\70\2\4\1\71\1\72\1\73\2\4\1\74\1\75"+
    "\1\76\4\4\1\77\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\4\4\1\100\6\4\1\101\6\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\1\102\2\4\1\103\1\104\2\4\1\105"+
    "\10\4\1\106\1\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\2\4\1\107\2\4\1\110\4\4\1\111\1\4\1\112"+
    "\5\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\5\4\1\113"+
    "\1\4\1\114\2\4\1\115\7\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\1\116\3\4\1\117\3\4\1\120\1\121"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\1\122\2\4"+
    "\1\123\1\124\4\4\1\125\10\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\1\126\10\4\1\127\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\14\4\1\130\5\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\1\131\4\4\1\132\1\4\1\133"+
    "\3\4\1\134\6\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\135\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\1\136\2\4\1\137\1\140\2\4\1\141\12\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\4\4\1\142\4\4\1\143"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\2\4\1\144"+
    "\1\4\1\145\3\4\1\146\1\147\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\7\4\1\150\1\4\1\151\10\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\1\152\3\4\1\153"+
    "\4\4\1\154\10\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\1\155\2\4\1\156\14\4\1\157\1\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\1\160\21\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\4\4\1\161\4\4\1\162\10\4\10\0"+
    "\1\4\7\0\1\163\2\4\2\0\1\4\3\0\2\4"+
    "\35\0\1\164\110\0\1\165\52\0\1\166\1\0\1\167"+
    "\26\0\2\4\1\63\1\0\1\64\1\170\21\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\11\4\1\171\10\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\7\4\1\172\1\4\1\173"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\57\0\1\174\66\0\1\175\34\0\1\176\27\0"+
    "\1\177\4\0\1\200\63\0\1\201\73\0\1\202\7\0"+
    "\1\203\4\0\22\203\10\0\1\203\7\0\3\203\2\0"+
    "\1\203\3\0\2\203\5\0\1\204\4\0\22\204\10\0"+
    "\1\204\7\0\3\204\2\0\1\204\3\0\2\204\26\0"+
    "\1\205\45\0\2\4\1\63\1\0\1\64\2\4\1\206"+
    "\17\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\2\4\1\207"+
    "\17\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\6\4\1\210"+
    "\13\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\6\4\1\211"+
    "\13\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\7\4\1\212"+
    "\1\4\1\112\10\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\2\4\1\213\17\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\13\4\1\214\6\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\1\4\1\215\20\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\14\4\1\216\5\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\5\4\1\217\7\4\1\220\4\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\11\4\1\221\10\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\21\4\1\222\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\5\0\2\4\1\63\1\0"+
    "\1\64\16\4\1\223\3\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\2\0\3\224\2\4\1\63"+
    "\1\0\1\64\22\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\1\4\1\225\5\0\2\4\1\63\1\0"+
    "\1\64\10\4\1\226\11\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\5\0\2\4\1\63\1\0"+
    "\1\64\1\227\2\4\1\230\3\4\1\231\1\4\1\232"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\14\4\1\233"+
    "\5\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\1\4\1\234"+
    "\1\235\17\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\236\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\16\4"+
    "\1\237\3\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\2\4"+
    "\1\240\17\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\13\4"+
    "\1\241\2\4\1\242\3\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\5\0\2\4\1\63\1\0"+
    "\1\64\17\4\1\243\2\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\5\0\2\4\1\63\1\0"+
    "\1\64\2\4\1\223\17\4\10\0\1\4\7\0\1\244"+
    "\2\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\22\4\10\0\1\245\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\10\4\1\246\1\247\10\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\5\0\2\4\1\63\1\0"+
    "\1\64\14\4\1\250\4\4\1\251\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\5\4\1\252\14\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\13\4\1\253\2\4\1\254\3\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\3\4\1\255\16\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\1\4\1\256\5\4\1\257"+
    "\12\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\2\4\1\260"+
    "\3\4\1\261\13\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\7\4\1\262\12\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\14\4\1\263\5\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\10\4\1\264\11\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\13\4\1\265\6\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\7\4\1\266\12\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\7\4\1\267\12\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\4\4\1\270\15\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\1\4\1\271\3\4\1\272\14\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\5\4\1\273\6\4\1\274\5\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\7\4\1\275\12\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\7\4\1\276\12\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\21\4\1\277\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\2\4\1\300\17\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\3\4\1\301\16\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\7\4\1\302\12\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\2\4\1\303\12\4\1\304\4\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\5\4\1\305\14\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\16\4\1\306\3\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\14\4\1\307\5\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\2\4\1\310\17\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\3\4\1\311\1\312"+
    "\4\4\1\313\10\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\14\4\1\314\5\4\10\0\1\315\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\4\4\1\316\15\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\2\4\1\317\7\4\1\320\7\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\1\0\1\166\2\0"+
    "\64\166\42\167\1\321\1\167\1\322\22\167\4\0\2\4"+
    "\1\63\1\0\1\64\13\4\1\323\6\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\1\324\21\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\11\4\1\325\10\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\2\4\1\326\17\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\14\0\1\60\66\0"+
    "\1\34\57\0\2\203\1\327\2\0\22\203\10\0\1\203"+
    "\7\0\3\203\2\0\1\203\3\0\2\203\5\0\2\204"+
    "\2\0\1\64\22\204\10\0\1\204\7\0\3\204\2\0"+
    "\1\204\3\0\2\204\5\0\2\4\1\63\1\0\1\64"+
    "\3\4\1\330\16\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\7\4\1\331\12\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\1\332\21\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\333\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\4\4"+
    "\1\334\15\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\335\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\4\4"+
    "\1\336\15\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\2\4"+
    "\1\337\3\4\1\340\13\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\5\0\2\4\1\63\1\0"+
    "\1\64\22\4\10\0\1\4\7\0\1\341\2\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\1\342\21\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\13\4"+
    "\1\343\6\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\344\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\2\0\3\224\26\0\1\345\40\0\2\4"+
    "\1\63\1\0\1\64\11\4\1\346\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\11\4\1\347\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\5\4\1\350\14\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\14\4\1\351\5\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\4\4\1\352\15\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\2\0\3\353"+
    "\2\4\1\63\1\0\1\64\5\4\1\354\1\4\1\355"+
    "\12\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\13\4\1\356"+
    "\6\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\11\4\1\357"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\13\4\1\360"+
    "\6\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\21\4\1\361"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\14\4\1\362\5\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\21\4\1\363\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\14\4\1\364\5\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\1\4\1\365\20\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\10\4\1\366\11\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\6\4\1\367\13\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\1\370\21\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\4\4\1\371\15\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\5\4\1\372\14\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\20\4\1\373\1\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\13\4\1\374\6\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\3\4\1\375\16\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\3\4\1\376\16\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\4\4\1\377\15\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\11\4\1\u0100\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\1\u0101\21\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\14\4\1\226\5\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\14\4\1\u0102\5\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\2\0\3\u0103\2\4"+
    "\1\63\1\0\1\64\1\u0104\10\4\1\u0105\10\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\16\4\1\u0106\3\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\1\u0107\21\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\22\4\10\0\1\4\7\0\1\4"+
    "\1\235\1\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\22\4\10\0\1\4\7\0\1\4"+
    "\1\u0108\1\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\14\4\1\u0109\5\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\3\4\1\u010a\16\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\2\4\1\u010b\17\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\2\4\1\u010c\11\4\1\u010d\5\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\5\4\1\u010e\14\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\12\4\1\u010f\7\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\1\4\1\u0110\20\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\2\4\1\u0111\17\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\21\4\1\u0112\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\20\4\1\u0113\1\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\1\4\1\u0114\11\4\1\u0115"+
    "\6\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\14\4\1\u0115"+
    "\5\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\7\4\1\u0115"+
    "\12\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\2\0\3\u0116\2\4\1\63\1\0\1\64\22\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\11\4\1\u0117\10\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\13\4\1\u0118\6\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\17\4\1\u0119\2\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\4\4\1\u011a\15\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\1\0\44\167\1\0\64\167\1\u011b\1\167\1\322\22\167"+
    "\4\0\2\4\1\63\1\0\1\64\10\4\1\u011c\11\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\7\4\1\u011d\12\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\1\u011e\21\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\5\0"+
    "\1\u011f\4\0\22\u011f\10\0\1\u011f\7\0\3\u011f\2\0"+
    "\1\u011f\3\0\2\u011f\5\0\2\4\1\63\1\0\1\64"+
    "\4\4\1\u0120\15\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\3\4\1\u0121\16\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\22\4\10\0\1\4\7\0\1\u0122\2\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\7\4"+
    "\1\u0123\12\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\17\4"+
    "\1\u0124\2\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\5\4"+
    "\1\u0125\14\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\13\4"+
    "\1\u0126\6\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\u0127\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\3\4"+
    "\1\u0128\16\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\7\4"+
    "\1\u0129\12\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\u012a\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\23\0\1\u012b\50\0\2\4\1\63\1\0"+
    "\1\64\5\4\1\u012c\14\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\5\0\2\4\1\63\1\0"+
    "\1\64\10\4\1\u012d\11\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\2\0\3\353\12\0\1\u012e"+
    "\54\0\2\4\1\63\1\0\1\64\11\4\1\u012f\10\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\10\4\1\u0130\11\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\11\4\1\u0131\10\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\13\4\1\u0132\6\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\11\4\1\u0133\10\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\22\4\10\0\1\4"+
    "\7\0\1\4\1\u0134\1\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\4\4\1\u0135\15\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\2\4\1\u0136\17\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\22\4\10\0\1\u0137"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\22\4\10\0\1\4\7\0\1\4"+
    "\1\u0138\1\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\3\4\1\u0139\16\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\2\4\1\u013a\17\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\12\4\1\u013b\7\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\7\4\1\u013c\12\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\2\0\3\u013d"+
    "\2\4\1\63\1\0\1\64\22\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\13\4\1\u013e\6\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\2\4\1\u013f\17\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\2\0\3\u0103\5\0"+
    "\1\u0140\10\0\1\u0141\50\0\2\4\1\63\1\0\1\64"+
    "\13\4\1\u0142\6\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\1\u0143\21\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\13\4"+
    "\1\u0144\6\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\2\4"+
    "\1\u0145\17\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\5\4"+
    "\1\u0146\14\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\7\4"+
    "\1\u0147\12\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\2\4"+
    "\1\u0148\17\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\2\4"+
    "\1\u0149\17\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\4\4"+
    "\1\u014a\15\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\20\4"+
    "\1\u014b\1\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\20\4"+
    "\1\u014c\1\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\u014d\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\20\4"+
    "\1\u014e\1\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\u014e\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\2\0\3\u0116\5\0\1\u014f\61\0\2\4"+
    "\1\63\1\0\1\64\11\4\1\u0150\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\11\4\1\u0151\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\7\4\1\u0152\12\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\11\4\1\u0153\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\14\4\1\u0154\5\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\2\4\1\u0155\17\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\u011f"+
    "\3\0\22\u011f\10\0\1\u011f\7\0\3\u011f\2\0\1\u011f"+
    "\3\0\2\u011f\5\0\2\4\1\63\1\0\1\64\5\4"+
    "\1\u0156\14\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\21\4"+
    "\1\u0157\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\3\4\1\u0158"+
    "\16\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\6\4\1\u0159"+
    "\13\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\10\4\1\u015a"+
    "\11\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\22\4\10\0"+
    "\1\4\7\0\2\4\1\u015b\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\2\4\1\u015c\17\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\2\0\3\u015d\2\4\1\63\1\0\1\64\22\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\2\0"+
    "\3\u015e\67\0\2\4\1\63\1\0\1\64\3\4\1\u015f"+
    "\16\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\22\4\10\0"+
    "\1\4\7\0\1\4\1\u0160\1\4\2\0\1\4\3\0"+
    "\2\4\12\0\1\u0161\61\0\2\4\1\63\1\0\1\64"+
    "\6\4\1\u0162\13\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\7\4\1\u0163\12\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\11\4\1\u0164\10\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\5\4\1\u0165\14\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\16\4\1\u0166\3\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\3\4\1\u0167\16\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\11\4\1\u0168\10\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\11\4\1\u0169\10\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\22\4\10\0\1\4\7\0\1\u016a\2\4\2\0\1\4"+
    "\3\0\2\4\2\0\3\u016b\2\4\1\63\1\0\1\64"+
    "\22\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\2\0\3\u013d\10\0\1\u016c\76\0\1\u016d\53\0"+
    "\1\u016e\61\0\2\4\1\63\1\0\1\64\13\4\1\u016f"+
    "\6\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\1\4\1\u0170"+
    "\20\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\20\4\1\u0171"+
    "\1\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\22\4\10\0"+
    "\1\4\7\0\1\4\1\u0172\1\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\1\u0173\21\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\7\4\1\u0174\12\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\7\4\1\u0175\12\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\11\4\1\u0176\10\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\14\4\1\u0177\5\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\7\4\1\u0178\12\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\17\0\1\u0179\54\0\2\4\1\63\1\0\1\64\1\u017a"+
    "\21\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\11\4\1\u017b"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\11\4\1\u017c"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\11\4\1\u017d"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\10\4\1\u017e"+
    "\11\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\5\4\1\u017f"+
    "\14\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\3\4\1\u0180"+
    "\16\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\2\4\1\u0181"+
    "\17\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\2\4\1\u0182"+
    "\17\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\3\4\1\u0183"+
    "\16\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\2\0\3\u015d\10\0\1\u0184\53\0\3\u015e\14\0"+
    "\1\u0185\52\0\2\4\1\63\1\0\1\64\22\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\1\u0186\1\4"+
    "\5\0\2\4\1\63\1\0\1\64\20\4\1\u0187\1\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\30\0\1\u0188\43\0\2\4\1\63\1\0\1\64\11\4"+
    "\1\u0189\10\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\2\0\3\u018a\2\4\1\63\1\0\1\64"+
    "\22\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\6\4\1\u018b"+
    "\13\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\3\4\1\u018c"+
    "\16\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\4\4\1\u018d"+
    "\15\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\14\4\1\u018e"+
    "\5\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\2\0\3\u016b\6\0\1\u018f\77\0\1\u0190\67\0"+
    "\1\u0191\54\0\1\u0192\60\0\2\4\1\63\1\0\1\64"+
    "\20\4\1\u016f\1\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\1\4\1\u0193\20\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\3\4\1\u0194\16\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\16\4\1\u0195\3\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\14\4\1\u0196\5\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\5\4\1\u0197\14\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\5\4\1\u0198\14\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\7\4\1\u0199\12\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\2\4\1\u019a\17\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\22\4\10\0\1\4\7\0\1\4\1\u019b\1\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\5\4\1\u019c\14\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\11\4\1\u019d\10\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\5\0\2\4\1\63\1\0\1\64"+
    "\4\4\1\u019e\15\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\2\4\17\0\1\u019f\72\0\1\u01a0\50\0"+
    "\2\4\1\63\1\0\1\64\11\4\1\u01a1\10\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\23\0"+
    "\1\u01a2\50\0\2\4\1\63\1\0\1\64\14\4\1\u01a3"+
    "\5\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\2\0\3\u018a\11\0\1\u01a4\55\0\2\4\1\63"+
    "\1\0\1\64\3\4\1\u01a5\16\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\5\0\2\4\1\63"+
    "\1\0\1\64\22\4\10\0\1\4\7\0\3\4\2\0"+
    "\1\4\3\0\1\u01a6\1\4\5\0\2\4\1\63\1\0"+
    "\1\64\5\4\1\u01a7\14\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\5\0\2\4\1\63\1\0"+
    "\1\64\2\4\1\u01a8\17\4\10\0\1\4\7\0\3\4"+
    "\2\0\1\4\3\0\2\4\16\0\1\u01a9\52\0\3\u01aa"+
    "\114\0\1\u0191\41\0\2\4\1\63\1\0\1\64\2\4"+
    "\1\u01ab\17\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\5\0\2\4\1\63\1\0\1\64\5\4"+
    "\1\u01ac\14\4\10\0\1\4\7\0\3\4\2\0\1\4"+
    "\3\0\2\4\2\0\3\u01ad\2\4\1\63\1\0\1\64"+
    "\22\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\11\4\1\u01ae"+
    "\10\4\10\0\1\4\7\0\3\4\2\0\1\4\3\0"+
    "\2\4\5\0\2\4\1\63\1\0\1\64\22\4\10\0"+
    "\1\4\7\0\1\4\1\u01af\1\4\2\0\1\4\3\0"+
    "\2\4\2\0\3\u01b0\2\4\1\63\1\0\1\64\22\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\5\0\2\4\1\63\1\0\1\64\5\4\1\u01b1\14\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\24\0\1\u01b2\72\0\1\u01b3\62\0\1\u01b4\47\0\2\4"+
    "\1\63\1\0\1\64\5\4\1\u01b5\14\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\11\4\1\u01b6\10\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\14\4\1\u01b7\5\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\20\0\1\u01b8"+
    "\50\0\3\u01aa\12\0\1\u01b9\54\0\2\4\1\63\1\0"+
    "\1\64\22\4\10\0\1\4\7\0\1\4\1\u01ba\1\4"+
    "\2\0\1\4\3\0\2\4\2\0\3\u01ad\24\0\1\u01bb"+
    "\37\0\3\u01bc\2\4\1\63\1\0\1\64\22\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\2\0"+
    "\3\u01b0\37\0\1\u01bd\40\0\1\u01be\66\0\1\u01bf\55\0"+
    "\2\4\1\63\1\0\1\64\22\4\10\0\1\4\7\0"+
    "\1\4\1\u01c0\1\4\2\0\1\4\3\0\2\4\5\0"+
    "\2\4\1\63\1\0\1\64\20\4\1\u01c1\1\4\10\0"+
    "\1\4\7\0\3\4\2\0\1\4\3\0\2\4\23\0"+
    "\1\u01c2\61\0\1\u01c3\102\0\1\u01c4\36\0\3\u01bc\11\0"+
    "\1\u01c5\62\0\1\u01c6\75\0\1\u01c7\111\0\1\u01c8\24\0"+
    "\3\u01c9\2\4\1\63\1\0\1\64\22\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\5\0\2\4"+
    "\1\63\1\0\1\64\3\4\1\u01ca\16\4\10\0\1\4"+
    "\7\0\3\4\2\0\1\4\3\0\2\4\26\0\1\u01cb"+
    "\57\0\1\u01cc\72\0\1\u01cd\64\0\1\u01ce\72\0\1\u01cf"+
    "\71\0\1\u01d0\61\0\1\u01d1\45\0\3\u01c9\11\0\1\u01d2"+
    "\55\0\2\4\1\63\1\0\1\64\15\4\1\u01d3\4\4"+
    "\10\0\1\4\7\0\3\4\2\0\1\4\3\0\2\4"+
    "\23\0\1\u01d4\62\0\1\u01d5\67\0\1\u01d6\70\0\1\u01d7"+
    "\56\0\1\u01d8\74\0\1\u01d9\67\0\1\u01da\47\0\3\u01db"+
    "\2\4\1\63\1\0\1\64\22\4\10\0\1\4\7\0"+
    "\3\4\2\0\1\4\3\0\2\4\2\0\3\u01dc\64\0"+
    "\3\u01dd\105\0\1\u01de\66\0\1\u01df\57\0\1\u01e0\72\0"+
    "\1\u01e1\50\0\3\u01db\26\0\1\u01e2\35\0\3\u01dc\5\0"+
    "\1\u01e3\56\0\3\u01dd\6\0\1\u01e4\74\0\1\u01e5\62\0"+
    "\1\u01e6\74\0\1\u01e7\66\0\1\u01e8\64\0\1\u01e9\57\0"+
    "\1\u01ea\72\0\1\u01eb\71\0\1\u01ec\61\0\1\u01ed\75\0"+
    "\1\u01ee\70\0\1\u01ef\60\0\1\u01f0\100\0\1\u01f1\37\0"+
    "\3\u01f2\107\0\1\u01f3\64\0\1\u01f4\45\0\3\u01f2\17\0"+
    "\1\u01f5\65\0\1\u01f6\66\0\1\u01f7\61\0\1\u01f8\70\0"+
    "\1\u01f9\65\0\1\u01fa\71\0\1\u01fb\63\0\1\u01fc\67\0"+
    "\1\u01fd\47\0";

  private static int [] zzUnpackTrans() {
    int [] result = new int[22055];
    int offset = 0;
    offset = zzUnpackTrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackTrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /* error codes */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  private static final int ZZ_NO_MATCH = 1;
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /* error messages for the codes above */
  private static final String ZZ_ERROR_MSG[] = {
    "Unkown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state <code>aState</code>
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\1\0\1\1\1\11\2\1\3\0\24\1\5\11\2\1"+
    "\7\11\3\1\2\0\1\1\4\0\1\1\1\11\75\1"+
    "\2\11\1\1\1\0\4\1\2\11\2\0\3\11\2\1"+
    "\1\11\16\1\1\0\74\1\2\0\4\1\1\0\15\1"+
    "\1\0\5\1\1\0\27\1\1\0\22\1\1\0\24\1"+
    "\1\0\2\1\1\0\16\1\1\0\2\1\2\0\33\1"+
    "\2\0\2\1\1\0\11\1\4\0\12\1\1\11\12\1"+
    "\2\0\2\1\1\0\1\1\1\0\4\1\1\0\1\1"+
    "\1\11\1\0\14\1\2\0\1\1\1\11\1\1\1\0"+
    "\4\1\2\0\2\1\1\0\2\1\1\0\1\1\2\0"+
    "\1\11\3\1\2\0\1\1\1\0\1\1\3\0\3\1"+
    "\6\0\2\1\1\11\7\0\1\1\5\0\1\11\5\0"+
    "\1\11\5\0\1\11\6\0\1\11\3\0\1\11\10\0"+
    "\2\11\2\0\1\11";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[509];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** the input device */
  private java.io.Reader zzReader;

  /** the current state of the DFA */
  private int zzState;

  /** the current lexical state */
  private int zzLexicalState = YYINITIAL;

  /** this buffer contains the current text to be matched and is
      the source of the yytext() string */
  private char zzBuffer[] = new char[ZZ_BUFFERSIZE];

  /** the textposition at the last accepting state */
  private int zzMarkedPos;

  /** the textposition at the last state to be included in yytext */
  private int zzPushbackPos;

  /** the current text position in the buffer */
  private int zzCurrentPos;

  /** startRead marks the beginning of the yytext() string in the buffer */
  private int zzStartRead;

  /** endRead marks the last character in the buffer, that has been read
      from input */
  private int zzEndRead;

  /** number of newlines encountered up to the start of the matched text */
  private int yyline;

  /** the number of characters up to the start of the matched text */
  private int yychar;

  /**
   * the number of characters from the last newline up to the start of the 
   * matched text
   */
  private int yycolumn;

  /** 
   * zzAtBOL == true <=> the scanner is currently at the beginning of a line
   */
  private boolean zzAtBOL = true;

  /** zzAtEOF == true <=> the scanner is at the EOF */
  private boolean zzAtEOF;

  /** denotes if the user-EOF-code has already been executed */
  private boolean zzEOFDone;

  /* user code: */
/*  
 * Copyright 2004-2008 MTBJ, Inc.  
 *   
 * Licensed under the Apache License, Version 2.0 (the "License");  
 * you may not use this file except in compliance with the License.  
 * You may obtain a copy of the License at  
 *   
 *      http://www.apache.org/licenses/LICENSE-2.0  
 *   
 * Unless required by applicable law or agreed to in writing, software  
 * distributed under the License is distributed on an "AS IS" BASIS,  
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  
 * See the License for the specific language governing permissions and  
 * limitations under the License.  
 */  
  
    Symbol build(int code) {
      return new Symbol(code,yytext());
    }
    
	/** Accessor for yyline **/
	int linenumber () { return yyline; }
	
	/** Accessor for yychar **/
    int charnumber () { return yychar; }
    


  /**
   * Creates a new scanner
   * There is also a java.io.InputStream version of this constructor.
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public DTRulesscanner(java.io.Reader in) {
    this.zzReader = in;
  }

  /**
   * Creates a new scanner.
   * There is also java.io.Reader version of this constructor.
   *
   * @param   in  the java.io.Inputstream to read input from.
   */
  public DTRulesscanner(java.io.InputStream in) {
    this(new java.io.InputStreamReader(in));
  }


  /**
   * Refills the input buffer.
   *
   * @return      <code>false</code>, iff there was new input.
   * 
   * @exception   java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead-zzStartRead);

      /* translate stored positions */
      zzEndRead-= zzStartRead;
      zzCurrentPos-= zzStartRead;
      zzMarkedPos-= zzStartRead;
      zzPushbackPos-= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length) {
      /* if not: blow it up */
      char newBuffer[] = new char[zzCurrentPos*2];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
    }

    /* finally: fill the buffer with new input */
    int numRead = zzReader.read(zzBuffer, zzEndRead,
                                            zzBuffer.length-zzEndRead);

    if (numRead < 0) {
      return true;
    }
    else {
      zzEndRead+= numRead;
      return false;
    }
  }

    
  /**
   * Closes the input stream.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true;            /* indicate end of file */
    zzEndRead = zzStartRead;  /* invalidate buffer    */

    if (zzReader != null)
      zzReader.close();
  }


  /**
   * Resets the scanner to read from a new input stream.
   * Does not close the old reader.
   *
   * All internal variables are reset, the old input stream 
   * <b>cannot</b> be reused (internal buffer is discarded and lost).
   * Lexical state is set to <tt>ZZ_INITIAL</tt>.
   *
   * @param reader   the new input stream 
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzAtBOL  = true;
    zzAtEOF  = false;
    zzEndRead = zzStartRead = 0;
    zzCurrentPos = zzMarkedPos = zzPushbackPos = 0;
    yyline = yychar = yycolumn = 0;
    zzLexicalState = YYINITIAL;
  }


  /**
   * Returns the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   */
  public final String yytext() {
    return new String( zzBuffer, zzStartRead, zzMarkedPos-zzStartRead );
  }


  /**
   * Returns the character at position <tt>pos</tt> from the 
   * matched text. 
   * 
   * It is equivalent to yytext().charAt(pos), but faster
   *
   * @param pos the position of the character to fetch. 
   *            A value from 0 to yylength()-1.
   *
   * @return the character at position pos
   */
  public final char yycharat(int pos) {
    return zzBuffer[zzStartRead+pos];
  }


  /**
   * Returns the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occured while scanning.
   *
   * In a wellformed scanner (no or only correct usage of 
   * yypushback(int) and a match-all fallback rule) this method 
   * will only be called with things that "Can't Possibly Happen".
   * If this method is called, something is seriously wrong
   * (e.g. a JFlex bug producing a faulty scanner etc.).
   *
   * Usual syntax/scanner level error handling should be done
   * in error fallback rules.
   *
   * @param   errorCode  the code of the errormessage to display
   */
  private void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    }
    catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  } 


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * They will be read again by then next call of the scanning method
   *
   * @param number  the number of characters to be read again.
   *                This number must not be greater than yylength()!
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }


  /**
   * Contains user EOF-code, which will be executed exactly once,
   * when the end of file is reached
   */
  private void zzDoEOF() throws java.io.IOException {
    if (!zzEOFDone) {
      zzEOFDone = true;
      yyclose();
    }
  }


  /**
   * Resumes scanning until the next regular expression is matched,
   * the end of input is encountered or an I/O-Error occurs.
   *
   * @return      the next token
   * @exception   java.io.IOException  if any I/O-Error occurs
   */
  public java_cup.runtime.Symbol next_token() throws java.io.IOException, RulesException {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char [] zzBufferL = zzBuffer;
    char [] zzCMapL = ZZ_CMAP;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      for (zzCurrentPosL = zzStartRead; zzCurrentPosL < zzMarkedPosL;
                                                             zzCurrentPosL++) {
        switch (zzBufferL[zzCurrentPosL]) {
        case '\u000B':
        case '\u000C':
        case '\u0085':
        case '\u2028':
        case '\u2029':
          yyline++;
          zzR = false;
          break;
        case '\r':
          yyline++;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
          }
          break;
        default:
          zzR = false;
        }
      }

      if (zzR) {
        // peek one character ahead if it is \n (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof) 
            zzPeek = false;
          else 
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;
  
      zzState = zzLexicalState;


      zzForAction: {
        while (true) {
    
          if (zzCurrentPosL < zzEndReadL)
            zzInput = zzBufferL[zzCurrentPosL++];
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = zzBufferL[zzCurrentPosL++];
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMapL[zzInput] ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          int zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
        case 97: 
          { return build(sym.INCLUDE);
          }
        case 123: break;
        case 55: 
          { return build(sym.DATE);
          }
        case 124: break;
        case 7: 
          { return build(sym.COLON);
          }
        case 125: break;
        case 92: 
          { return build(sym.LENGTH);
          }
        case 126: break;
        case 30: 
          { return build(sym.NO);
          }
        case 127: break;
        case 70: 
          { return build(sym.ARRAY);
          }
        case 128: break;
        case 110: 
          { return build(sym.ATTRIBUTE);
          }
        case 129: break;
        case 11: 
          { return build(sym.DIVIDE);
          }
        case 130: break;
        case 44: 
          { return build(sym.ONE);
          }
        case 131: break;
        case 109: 
          { return build(sym.SUBTRACT);
          }
        case 132: break;
        case 65: 
          { return build(sym.LESS);
          }
        case 133: break;
        case 84: 
          { return build(sym.WHERE);
          }
        case 134: break;
        case 39: 
          { return build(sym.POSSESSIVE);
          }
        case 135: break;
        case 63: 
          { return build(sym.ELSE);
          }
        case 136: break;
        case 56: 
          { return build(sym.RBOOLEAN);
          }
        case 137: break;
        case 27: 
          { return build(sym.ON);
          }
        case 138: break;
        case 77: 
          { return build(sym.ENDIF);
          }
        case 139: break;
        case 71: 
          { return build(sym.AFTER);
          }
        case 140: break;
        case 14: 
          { return build(sym.RPAREN);
          }
        case 141: break;
        case 76: 
          { return build(sym.USING);
          }
        case 142: break;
        case 3: 
          { return build(sym.INTEGER);
          }
        case 143: break;
        case 96: 
          { return build(sym.THROUGH);
          }
        case 144: break;
        case 25: 
          { return build(sym.IF);
          }
        case 145: break;
        case 23: 
          { return build(sym.TO);
          }
        case 146: break;
        case 90: 
          { return build(sym.ENTITY);
          }
        case 147: break;
        case 8: 
          { return build(sym.COMMA);
          }
        case 148: break;
        case 66: 
          { return build(sym.SORT);
          }
        case 149: break;
        case 114: 
          { return build(sym.SUBSTRING);
          }
        case 150: break;
        case 120: 
          { return build(sym.TABLEINFORMATION);
          }
        case 151: break;
        case 19: 
          { return build(sym.ASSIGN);
          }
        case 152: break;
        case 106: 
          { return build(sym.THENAME);
          }
        case 153: break;
        case 89: 
          { return build(sym.REMOVE);
          }
        case 154: break;
        case 6: 
          { return build(sym.SEMI);
          }
        case 155: break;
        case 13: 
          { return build(sym.LPAREN);
          }
        case 156: break;
        case 118: 
          { return build(sym.TOBEREMOVED);
          }
        case 157: break;
        case 81: 
          { return build(sym.MAXPRINT);
          }
        case 158: break;
        case 29: 
          { return build(sym.OF);
          }
        case 159: break;
        case 9: 
          { return build(sym.QUESTIONMARK);
          }
        case 160: break;
        case 98: 
          { return build(sym.ELSEIF);
          }
        case 161: break;
        case 79: 
          { return build(sym.FIRST);
          }
        case 162: break;
        case 49: 
          { return build(sym.FOR);
          }
        case 163: break;
        case 112: 
          { return build(sym.NUMBEROF);
          }
        case 164: break;
        case 121: 
          { return build(sym.RELATIONSHIP_BETWEEN);
          }
        case 165: break;
        case 72: 
          { return build(sym.CLEAR);
          }
        case 166: break;
        case 2: 
          { return build(sym.IDENT);
          }
        case 167: break;
        case 60: 
          { return build(sym.NULL);
          }
        case 168: break;
        case 113: 
          { return build(sym.RANDOMIZE);
          }
        case 169: break;
        case 88: 
          { return build(sym.DOUBLE);
          }
        case 170: break;
        case 67: 
          { return build(sym.WITH);
          }
        case 171: break;
        case 31: 
          { return build(sym.BY);
          }
        case 172: break;
        case 107: 
          { return build(sym.INCLUDES);
          }
        case 173: break;
        case 38: 
          { return build(sym.NAME);
          }
        case 174: break;
        case 87: 
          { return build(sym.ACTION);
          }
        case 175: break;
        case 41: 
          { return build(sym.ALL);
          }
        case 176: break;
        case 100: 
          { return build(sym.MATCHES);
          }
        case 177: break;
        case 10: 
          { return build(sym.PLUS);
          }
        case 178: break;
        case 43: 
          { return build(sym.LONG);
          }
        case 179: break;
        case 82: 
          { return build(sym.MATCH);
          }
        case 180: break;
        case 46: 
          { return build(sym.NEW);
          }
        case 181: break;
        case 57: 
          { return build(sym.THAN);
          }
        case 182: break;
        case 122: 
          { return build(sym.ELSEIFNONEAREFOUND);
          }
        case 183: break;
        case 12: 
          { return build(sym.TIMES);
          }
        case 184: break;
        case 111: 
          { return build(sym.CONDITION);
          }
        case 185: break;
        case 40: 
          { return build(sym.ADD);
          }
        case 186: break;
        case 32: 
          { return build(sym.ARROW);
          }
        case 187: break;
        case 116: 
          { return build(sym.ERRORCODE);
          }
        case 188: break;
        case 18: 
          { return build(sym.RCURLY);
          }
        case 189: break;
        case 58: 
          { return build(sym.THIS);
          }
        case 190: break;
        case 54: 
          { return build(sym.COPY);
          }
        case 191: break;
        case 108: 
          { return build(sym.EARLIEST);
          }
        case 192: break;
        case 69: 
          { return build(sym.YEARS);
          }
        case 193: break;
        case 59: 
          { return build(sym.THEN);
          }
        case 194: break;
        case 61: 
          { return build(sym.DOES);
          }
        case 195: break;
        case 117: 
          { return build(sym.DESCENDINGORDER);
          }
        case 196: break;
        case 93: 
          { return build(sym.MEMBER);
          }
        case 197: break;
        case 115: 
          { return build(sym.ASCENDINGORDER);
          }
        case 198: break;
        case 119: 
          { return build(sym.ABSOLUTEVALUE);
          }
        case 199: break;
        case 74: 
          { return build(sym.THERE);
          }
        case 200: break;
        case 17: 
          { return build(sym.LCURLY);
          }
        case 201: break;
        case 75: 
          { return build(sym.DEBUG);
          }
        case 202: break;
        case 50: 
          { return build(sym.SET);
          }
        case 203: break;
        case 105: 
          { return build(sym.TOKENIZE);
          }
        case 204: break;
        case 83: 
          { return build(sym.MONTHS);
          }
        case 205: break;
        case 35: 
          { return build(sym.NEQ);
          }
        case 206: break;
        case 94: 
          { return build(sym.BEFORE);
          }
        case 207: break;
        case 103: 
          { return build(sym.GREATER);
          }
        case 208: break;
        case 62: 
          { return build(sym.EACH);
          }
        case 209: break;
        case 101: 
          { return build(sym.BOOLEAN);
          }
        case 210: break;
        case 5: 
          { return build(sym.GT);
          }
        case 211: break;
        case 68: 
          { return build(sym.HAVE);
          }
        case 212: break;
        case 33: 
          { return build(sym.GTE);
          }
        case 213: break;
        case 47: 
          { return build(sym.DAYS);
          }
        case 214: break;
        case 99: 
          { return build(sym.PERFORM);
          }
        case 215: break;
        case 36: 
          { return build(sym.AND);
          }
        case 216: break;
        case 22: 
          { return build(sym.STRING);
          }
        case 217: break;
        case 34: 
          { return build(sym.EQ);
          }
        case 218: break;
        case 16: 
          { return build(sym.RBRACE);
          }
        case 219: break;
        case 51: 
          { return build(sym.MAP);
          }
        case 220: break;
        case 85: 
          { return build(sym.HASA);
          }
        case 221: break;
        case 64: 
          { return build(sym.FROM);
          }
        case 222: break;
        case 52: 
          { return build(sym.WAS);
          }
        case 223: break;
        case 37: 
          { return build(sym.LTE);
          }
        case 224: break;
        case 26: 
          { return build(sym.IS);
          }
        case 225: break;
        case 80: 
          { return build(sym.LOCAL);
          }
        case 226: break;
        case 91: 
          { return build(sym.FORALL);
          }
        case 227: break;
        case 45: 
          { return build(sym.NOT);
          }
        case 228: break;
        case 20: 
          { return build(sym.LT);
          }
        case 229: break;
        case 53: 
          { return build(sym.GET);
          }
        case 230: break;
        case 86: 
          { return build(sym.VALUE);
          }
        case 231: break;
        case 104: 
          { return build(sym.ALLOWING);
          }
        case 232: break;
        case 73: 
          { return build(sym.TABLE);
          }
        case 233: break;
        case 42: 
          { return build(sym.ITS);
          }
        case 234: break;
        case 21: 
          { return build(sym.FLOAT);
          }
        case 235: break;
        case 24: 
          { return build(sym.IN);
          }
        case 236: break;
        case 102: 
          { return build(sym.BETWEEN);
          }
        case 237: break;
        case 4: 
          { return build(sym.MINUS);
          }
        case 238: break;
        case 15: 
          { return build(sym.LBRACE);
          }
        case 239: break;
        case 95: 
          { return build(sym.CONTEXT);
          }
        case 240: break;
        case 78: 
          { return build(sym.EQUAL);
          }
        case 241: break;
        case 28: 
          { return build(sym.OR);
          }
        case 242: break;
        case 48: 
          { return build(sym.END);
          }
        case 243: break;
        case 1: 
          { 
          }
        case 244: break;
        default: 
          if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
            zzAtEOF = true;
            zzDoEOF();
              { return new java_cup.runtime.Symbol(sym.EOF); }
          } 
          else {
            zzScanError(ZZ_NO_MATCH);
          }
      }
    }
  }


}
